<script src="@#file#(math.min.js)" type="text/javascript"></script>
<script src="@#file#(bezier.js)"   type="text/javascript"></script>

  <p>Na demonstraciji u nastavku Bezierova krivulja zadana je početnom i krajnjom
     točkom (početna je lijeva, krajnja je desna), te iznosom tangencijalnog vektora
     u jednoj točki krivulje. Ispod demonstracije nalaze se tri kliznika.</p>
  <ul>
    <li>Prvi kliznik omogućava zadavanje parametra \(t\) u kojem se fiksira tangencijalni vektor.</li>
    <li>Drugi kliznik omogućava zadavanje \(x\) komponente tangencijalnog vektora.</li> 
    <li>Treći kliznik omogućava zadavanje \(y\) komponente tangencijalnog vektora. Koordinatni sustav je ekranski, što znači da pozitivna \(y\)-os gleda prema dnu ekrana.</li> 
  </ul>

  <p>Demonstracija je inicijalno postavljena tako da zadaje tangencijalni vektor u početnoj
     točki krivulje (za \(t=0\)), čije su obje komponente negativne, pa vektor gleda u lijevo i prema gore.</p>

  <p>Kako ovime imamo definirana tri uvjeta na krivulju, njima je jednoznačno određena
     kvadratna Bezierova krivulja (u većini slučajeva; razmotrite pitanje na dnu stranice u okviru).</p>

  
  <div style="width: 800px; height: 300px; position:relative;">
  <canvas id="myCanvas2" width="800" height="300" style="border: 1px solid black;"></canvas>
  </div>
  <script type="text/javascript">
    var bez2 = new drawInterpolationBezier("myCanvas2");
    bez2.addingEnabled = false;
    bez2.showTangentAtT = true;
    bez2.showTangentVectorAtT = true;
    bez2.showTangentLineAtT = false;
    bez2.scaleTangentVectorAtT = false;
    bez2.tanvecx = -120;
    bez2.tanvecy = -120;
    bez2.switchPaint(2);
    bez2.setAllPoints([[150, 150],[650, 150]]);
    bez2.paint();
  </script>
  <input type="checkbox" onclick="bez2.showTangentLineAtT=this.checked; bez2.paint();"> Prikaži tangencijalni pravac<br>
  <input type="checkbox" onclick="bez2.scaleTangentVectorAtT=this.checked; bez2.paint();"> Skaliraj tangencijalni vektor<br>
  <table>
  <tr><td align="right">t: 0 </td><td><input type="range" min="0" max="1" step="0.01" value="0" onchange="bez2.tvalue=this.value; document.getElementById('bezBuild2').innerHTML=this.value; bez2.paint();" oninput="bez2.tvalue=this.value; document.getElementById('bezBuild2').innerHTML=this.value; bez2.paint();"></td><td> 1  (trenutna vrijednost t = <span id="bezBuild2">0</span>)</td></tr>
  <tr><td align="right">vx: -300 </td><td><input type="range" min="-300" max="300" step="10" value="-120" onchange="bez2.tanvecx=this.value; document.getElementById('bezBuild2a').innerHTML=this.value; bez2.paint();" oninput="bez2.tanvecx=this.value; document.getElementById('bezBuild2a').innerHTML=this.value; bez2.paint();"></td><td> 300  (trenutna vrijednost vx = <span id="bezBuild2a">-120</span>)</td></tr>
  <tr><td align="right">vy: -300 </td><td><input type="range" min="-300" max="300" step="10" value="-120" onchange="bez2.tanvecy=this.value; document.getElementById('bezBuild2b').innerHTML=this.value; bez2.paint();" oninput="bez2.tanvecy=this.value; document.getElementById('bezBuild2b').innerHTML=this.value; bez2.paint();"></td><td> 300  (trenutna vrijednost vy = <span id="bezBuild2b">-120</span>)</td></tr>
  </table>

  <p style="border: 1px solid #bbbb00; background-color: #ffffdd; padding: 5px;">Primijetite da sustav postaje neodređen za \(t=0.5\); dobiva se singularna matrica čiji inverz nije moguće odrediti. Vidite li zašto se to događa?
     Evo pomoći: krenite od općeg oblika kvadratne aproksimacijske Bezierove krivulje i odredite njezin tangencijalni vektor
     za \(t=1/2\). Koliko on iznosi? Možemo li "izvana" uvjetovati kakav želimo da bude njegov iznos? Objasnite odgovor!
  </p>

  <p>Početnu i konačnu točku krivulje možete mišem slobodno pomicati po površini platna.</p>

